<?php
	$pageTitle = 'Dashboard Kunjungan';
	require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

	$curMonth = date('m');

	$minYear = 2010;
	$curYear = date('Y');
?>

<div class="col-xs-12">
	<div class="row animated fadeInRight">
		<form id="formPage" method="post">
			<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
			<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
			<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
			<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
			<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">
			<input type="hidden" id="id" name="id" value="<?= $dokter->Id ?>">

			<div class="form-horizontal">

				<div class="form-group">
					<label class="col-md-2">Periode Waktu</label>
					<div class="col-md-2">
						<select id="tahun" style="width: 100%">
							<?php for($tahun=$minYear;$tahun<=$curYear;$tahun++):?>
								<option value="<?= $tahun ?>" <?= ($tahun == $curYear) ? 'selected' : null ?>><?= $tahun?></option>
							<?php endfor; ?>
						</select>
					</div>
				</div>

				<div class="form-group">
					<div class="col-md-12" id="graphMonthly"></div>
				</div>
			</div>
		</form>


	</div>
</div>

<?php
	require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/offline-exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>

<script type="text/javascript">
	var formTime = '<?= $formTime?>';
	var formId = '<?= $formId ?>';
	var optPropSource;
	var optGraphMonthly;
	var month;
	var year;
	$(document).ready(function() {

		optGraphMonthly = {
			chart: {
				type: 'column',
				options3d: {
					enabled: true,
					alpha: 24,
					beta: 15,
					
									}
			},
			credits: {
			text: 'RS MITRA SEHAT',
			enabled: false,
			},
			title: {
				text: ''
			},
			xAxis: {
				categories: ['Januari','Pebruari','Maret','April','Mei','Juni','Juli','Agustus','September','Oktober','Nopember','Desember']
			},
			yAxis: {
				min: 0,
				title: {
					text: 'Kunjungan'
				},
                stackLabels: {
                    enabled: true
                }
			},
			tooltip: {
				headerFormat: '<span style="font-size:10px">Bln. {point.key}</span><table>',
				pointFormat: '<tr><td style="color:purple;padding:0">{series.name}: </td>' +
				'<td style="padding:0"><b>{point.y}</b></td></tr>',
				footerFormat: '</table>',
				shared: true,
				useHTML: true
			},
			plotOptions: {
                column: {
                    stacking: 'normal',
                    dataLabels: {
                        enabled: true
                    }
                }
            },
			series: [{
				name: 'RJ',
				data: [],
				color: '#FF4500',
                dataLabels: {
					enabled: true,
					color: '#800080',
					align: 'right',
					style: {
						fontSize: '13px',
						fontFamily: 'Verdana, sans-serif'
					}
				}
			}, {
				name: 'IGD',
				data: [],
				color: '#800000',
                dataLabels: {
					enabled: true,
					color: '#FFD700',
					align: 'right',
					style: {
						fontSize: '13px',
						fontFamily: 'Verdana, sans-serif'
					}
				}
			}, {
				name: 'RI Bayi Baru Lahir (BBL)',
				data: [],
				color: '#ADFF2F',				
                dataLabels: {
					enabled: true,
					color: 'purple',
					align: 'right',
					style: {
						fontSize: '13px',
						fontFamily: 'Verdana, sans-serif'
					}
				}
			},
			{
				name: 'RI Selain BBL',
				data: [],
color: '#69BE28',				
                dataLabels: {
					enabled: true,
					color: 'royalblue',
					align: 'right',
					style: {
						fontSize: '13px',
						fontFamily: 'Verdana, sans-serif'
					}
				}
			}
			,
			
			
            ]
		};

		
		getDataChart();

		$('#tahun').change(function () {
			getDataChart();
		});

		$('select').chosen({
			no_results_text: 'Tidak ditemukan',
			allow_single_deselect : true
		});

	});

	function getDataChart(){
		var data;
		month = $('#bulan').val();
		year = $('#tahun').val();
		
		var request = $.post('<?= QApplication::UrlActionCreator('Dashboard/DalamTahun')?>', {
			async: false , reqAjax: "yes"
			, 'pageId': sessionStorage.pageId
			, 'formId': formId
			, 'formTime': formTime
			, 'month': month
			, 'year': year
            , 'kategori': '2'
		});
		request.done(function (response) {
			if (response.status == 'success') {

				optGraphMonthly.title.text = response.sourceTitleGraphMonthly;
				optGraphMonthly.series[0].data  = response.sourceDataRajal;
                optGraphMonthly.series[1].data  = response.sourceDataIGD;
				optGraphMonthly.series[2].data  = response.sourceDataRanap1;
				optGraphMonthly.series[3].data  = response.sourceDataRanap;
								
				$('#graphMonthly').highcharts(optGraphMonthly);
			}
			else{
				var first = response.status.substr(0,1).toUpperCase();
				var last = response.status.substr(1).toLowerCase();
				toastr[response.type](response.message,first+last);
			}
		});
		request.fail(function (response) {
			toastr['error']('Proses ambil data gagal. Silahkan coba lagi beberapa saat', 'Gagal Ambil data');
		});
	}

</script>
